# Mdulo de Pesquisa Pblica

## Requisitos:
- SEI 3.0.0 instalado ou atualizado (verificar valor da constante de verso do SEI no arquivo /sei/web/SEI.php).
- Instalar nas mquinas que rodam o SEI a biblioteca php-mcrypt.
- Antes de executar os scripts de instalao (itens 4 e 5 abaixo), o usurio de acesso aos bancos de dados do SEI e do SIP, constante nos arquivos ConfiguracaoSEI.php e ConfiguracaoSip.php, dever ter permisso de acesso total ao banco de dados, permitindo, por exemplo, criao e excluso de tabelas.

## Procedimentos para Instalao:

1. Fazer backup dos bancos de dados do SEI e do SIP.

2. Carregar no servidor os arquivos do mdulo localizados na pasta "/sei/web/modulos/pesquisa" e os scripts de instalao/atualizao "/sei/scripts/sei_instalar_modulo_pesquisa.php" e "/sip/scripts/sip_instalar_modulo_pesquisa.php".

3. Editar o arquivo "/sei/config/ConfiguracaoSEI.php", tomando o cuidado de usar editor que no altere o charset do arquivo, para adicionar a referncia  classe de integrao do mdulo e seu caminho relativo dentro da pasta "/sei/web/modulos" na array 'Modulos' da chave 'SEI':

		'SEI' => array(
			'URL' => 'http://[Servidor_PHP]/sei',
			'Producao' => false,
			'RepositorioArquivos' => '/var/sei/arquivos',
			'Modulos' => array('PesquisaIntegracao' => 'pesquisa',)
			),

4. Rodar o script de banco "/sei/scripts/sei_instalar_modulo_pesquisa.php" em linha de comando no servidor do SEI, verificando se no houve erro em sua execuo, em que ao final do log dever ser informado "FIM". Exemplo de comando de execuo:

		/usr/bin/php -c /etc/php.ini /var/www/html/sei/scripts/sei_instalar_modulo_pesquisa.php > atualizacao_modulo_pesquisa_sei.log

5. Rodar o script de banco "/sip/scripts/sip_instalar_modulo_pesquisa.php" em linha de comando no servidor do SIP, verificando se no houve erro em sua execuo, em que ao final do log dever ser informado "FIM". Exemplo de comando de execuo:

		/usr/bin/php -c /etc/php.ini /var/www/html/sip/scripts/sip_instalar_modulo_pesquisa.php > atualizacao_modulo_pesquisa_sip.log

6. Aps a execuo com sucesso, com um usurio com permisso de Administrador no SEI, abra o menu de configurao do mdulo no SEI (Administrao > Pesquisa Pblica > Parmetros Pesquisa Pblica) e verifique as opes de configurao da Pesquisa Pblica.

7. Aps a configurao, a pgina de Pesquisa Pblica estar acessvel pelo endereo a seguir:
	http://[Servidor_PHP]/sei/modulos/pesquisa/md_pesq_processo_pesquisar.php?acao_externa=protocolo_pesquisar&acao_origem_externa=protocolo_pesquisar&id_orgao_acesso_externo=0

8. Em caso de erro durante a execuo do script verificar (lendo as mensagens de erro e no SEI em Infra > Log e no SIP em Infra > Log) se a causa  algum problema na infra-estrutura local. Neste caso, aps a correo, restaurar o backup do banco de dados e executar novamente os scripts indicados nos itens 4 e 5 acima.
	- Caso no seja possvel identificar a causa, abrir Issue no projeto do mdulo no Gitlab do Portal do SPB: https://softwarepublico.gov.br/gitlab/cade/mod-sei-pesquisa